org.sunflow.image

## Class ConstantSpectralCurve

- java.lang.Object
- - org.sunflow.image.SpectralCurve
  - - org.sunflow.image.ConstantSpectralCurve

    public class ConstantSpectralCurve
    extends SpectralCurve

Very simple class equivalent to a constant spectral curve. Note that this is most likely physically impossible for amplitudes > 0, however this class can be handy since in practice spectral curves end up being integrated against the finite width color matching functions.

### Constructor Summary

Constructors
Constructor and Description
`ConstantSpectralCurve(float amp)`

### Method Summary

Methods
`float` `sample(float lambda)` This function determines the actual spectral curve data.

### Methods inherited from class org.sunflow.image.SpectralCurve

`toXYZ`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstantSpectralCurve

    public ConstantSpectralCurve(float amp)

### Method Detail

#### sample

    public float sample(float lambda)

Description copied from class: `SpectralCurve`
This function determines the actual spectral curve data. Note that the lambda parameter is assumed to be in nanometers.

Specified by:
  `sample` in class `SpectralCurve`
Parameters:
  `lambda` - wavelength to sample in nanometers
Returns:
  the value of the spectral curve at this point